
Redmine - Defect #19925

Arabic settings page - Icons are not aligned correctly

2015-05-22 23:45 - Ouss Orange

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.0.3

Description

Icons in the Setting Page in the Arabic interface are not aligned correctly they appear behind text. It looks like the it is a .css file

issue.

History

#1 - 2015-05-22 23:55 - Ouss Orange

It could be fixed if the horizontal position of the background-image is set to 100% instead of 0% in the Arabic version of the application.css file. This

would work also for Hebrew.

As demonstrated here:

media="all"

#admin-menu a {

 background-position: 0% 40%;

background-position: 100% 40%;

background-repeat: no-repeat;

padding-left: 20px;

padding-top: 2px;

padding-bottom: 3px;

}

#2 - 2015-06-21 15:09 - Toshi MARUYAMA

rtl.css should be changed instead of application.css.

source:tags/3.0.3/public/stylesheets/rtl.css#L18

#3 - 2021-08-10 14:55 - Go MAEDA

- File arabic-admin.png added

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Cant reproduce

No problem found in Redmine 4.2.2.
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.0.3/public/stylesheets/rtl.css#L18


arabic-admin.png 

Files

Screenshot from 2015-05-22 23_45_21.png 48.1 KB 2015-05-22 Ouss Orange

arabic-admin.png 70.3 KB 2021-08-10 Go MAEDA
